# GET Indicative quote

## /bridge/indicative-quote

> Request fast, indicative quote for a bridging request without the calldata.

```json
{"openapi":"3.1.1","info":{"title":"Native Brdige API","version":"1.0.0"},"servers":[{"url":"https://v2.api.native.org"}],"security":[],"paths":{"/swap-api-v2/v1/bridge/indicative-quote":{"get":{"summary":"/bridge/indicative-quote","deprecated":false,"description":"Request fast, indicative quote for a bridging request without the calldata.","tags":[],"parameters":[{"schema":{"pattern":"^0x[a-fA-F0-9]{40}$","type":"string"},"name":"from_address","in":"query","description":"Address of the user requesting the indicative quote","required":false},{"schema":{"type":"string","enum":["ethereum","bsc","arbitrum","base"]},"name":"src_chain","in":"query","description":"Blockchain name of the chain to initiate bridging, eg: ethereum, arbitrum, ... (refer to network name reference)","required":true},{"schema":{"type":"string","enum":["ethereum","bsc","arbitrum","base"]},"name":"dst_chain","in":"query","description":"Blockchain name of the chain to receive bridged tokens, eg: ethereum, arbitrum, ... (refer to network name reference)","required":true},{"schema":{"pattern":"^0x[a-fA-F0-9]{40}$","type":"string"},"name":"token_in","in":"query","description":"Address of the token to be sold/bridge-out","required":true},{"schema":{"pattern":"^0x[a-fA-F0-9]{40}$","type":"string"},"name":"token_out","in":"query","description":"Address of the token to be bought/bridge-in","required":true},{"schema":{"type":"string"},"name":"amount","in":"query","description":"The amount of `token_in` token to pay/sell/bridge-out","required":true},{"schema":{"type":"string"},"name":"version","in":"query","description":"The version of Native Swap Router (if bridging includes token swaps). Leave empty or use 4 (latest)","required":false},{"schema":{"type":"string"},"name":"api_key","in":"header","description":"The API key that was assigned to you by Native","required":true}],"responses":{"200":{"description":"Successful response containing indicative quote for a bridging request","headers":{},"content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Indicates whether the request was successful"},"buyerToken":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Address of the token being bought/bridge-in"},"sellerToken":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Address of the token being sold/bridge-out"},"buyerTokenAmount":{"type":"number","format":"double","description":"Amount of buyer token (in token units)"},"buyerTokenAmountWei":{"type":"string","description":"Amount of buyer token (in wei)"},"sellerTokenAmount":{"type":"number","format":"double","description":"Amount of seller token (in token units)"},"sellerTokenAmountWei":{"type":"string","description":"Amount of seller token (in wei)"},"price":{"type":"number","format":"double","description":"Price of the quote"},"widgetFeeUsd":{"type":"number","format":"double","description":"Widget fee in USD"},"liquidityProviderFeeUsd":{"type":"number","format":"double","description":"Liquidity provider fee in USD"},"totalFeeUsd":{"type":"number","format":"double","description":"Total fee in USD"},"routes":{"type":"array","description":"Array of route token symbols","items":{"type":"string"}},"source":{"type":"array","description":"Source identifiers for the quote","items":{"type":"integer","format":"int32"}},"priority":{"type":"string","description":"Bridging confirm speed. Fast orders will be confirmed in no longer than 10 seconds. Slow orders can take up to 3 mins.","enum":["fast","slow"]}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.native.org/native-dev/build-with-native/swap-aggregators/crosschain-swap-api/get-indicative-quote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
